スキャンのSCA問題のグループを一覧表示
curl --request GET \
--url https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"page": 123,
"total_pages": 123,
"total_groups": 123,
"groups": [
{
"package": {
"name": "lodash",
"ecosystems": [
"npm"
]
},
"issue_count": 4,
"breakdown": {
"by_severity": {
"CRITICAL": 1,
"HIGH": 2,
"MEDIUM": 1,
"LOW": 0
},
"by_status": {
"open": 3,
"fixed": 1,
"false_positive": 0,
"accepted_risk": 0,
"duplicate": 0
}
}
}
]
}問題
スキャンのSCA問題のグループを一覧表示
スキャンのSCA問題をグループにまとめ、グループごとの件数とともに取得します。すべての問題をダウンロードしなくても、クライアントで概要を表示できます。GET /scan//issues/scaと同じフィルターを使用できます。
GET
/
scan
/
{scan_id}
/
issues
/
sca
/
groups
スキャンのSCA問題のグループを一覧表示
curl --request GET \
--url https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/scan/{scan_id}/issues/sca/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "ok",
"page": 123,
"total_pages": 123,
"total_groups": 123,
"groups": [
{
"package": {
"name": "lodash",
"ecosystems": [
"npm"
]
},
"issue_count": 4,
"breakdown": {
"by_severity": {
"CRITICAL": 1,
"HIGH": 2,
"MEDIUM": 1,
"LOW": 0
},
"by_status": {
"open": 3,
"fixed": 1,
"false_positive": 0,
"accepted_risk": 0,
"duplicate": 0
}
}
}
]
}承認
CorgeaTokenBearerAuth
認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
パスパラメータ
SCA問題をグループ化する対象のスキャン
クエリパラメータ
SCA問題のグループ化の方法です。現在はpackageのみ指定できます。
利用可能なオプション:
package 各グループに重大度別とステータス別の件数を含めます
ページネーションのページ番号
1ページあたりのグループ数
必須範囲:
x <= 100このページは役に立ちましたか?
